// Wait for the DOM to load
document.addEventListener("DOMContentLoaded", function () {
    // Get the image from the first section
    const firstSectionImage = document.getElementById("main-logo");

    // Get the second section and all point1 elements
    const secondSection = document.querySelector(".four-points-row");
    const points = document.querySelectorAll(".point1");

    // Add event listener to the image to hide the first section and show the second section
    firstSectionImage.addEventListener("click", function () {
        // Hide the first section
        document.querySelector(".learn-more-row").style.display = "none";

        // Show the second section
        secondSection.style.display = "flex";

        // Animate point1 elements one by one
        points.forEach((point, index) => {
            setTimeout(function () {
                point.classList.add("active");
            }, index * 500); // Delay each element's appearance by 500ms
        });
    });

});

document.getElementById('points-language').addEventListener('click', function() {
    // Get all elements with the class 'ar-text' and 'en-text'
    var arTexts = document.querySelectorAll('.ar-text');
    var enTexts = document.querySelectorAll('.en-text');
    var logoContainer = document.querySelector('.logo');

    // Check if Arabic text is currently visible
    var isArVisible = arTexts[0].style.display !== 'none'; // Check the first item for display status

    // Toggle Arabic and English texts accordingly
    arTexts.forEach(function(arText) {
        arText.style.display = isArVisible ? 'none' : 'block';
    });

    enTexts.forEach(function(enText) {
        enText.style.display = isArVisible ? 'block' : 'none';
    });

    // Toggle justify-content for the logo based on the language
    if (isArVisible) {
        // Arabic is currently visible, switch to English (justify-content-end)
        logoContainer.classList.remove('justify-content-start');
        logoContainer.classList.add('justify-content-end');
    } else {
        // English is currently visible, switch to Arabic (justify-content-start)
        logoContainer.classList.remove('justify-content-end');
        logoContainer.classList.add('justify-content-start');
    }
});
// -------------------------------------slider script----------------------
